> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-ko/scene-runtime/basic-entities.md).

# 기본 엔티티

월드 탐험가 [범위를 확보합니다](https://github.com/decentraland/docs/tree/main/contributor/runtime/modules/engine_api/README.md#identifying) 엔티티 ID의 범위를 자체 사용을 위해. 이 범위에서, 식별자는 `0`, `1` 및 `2` 반드시 존재하는 기본 엔티티 집합에 미리 할당됩니다.

다음과 같습니다:

* `0`: `루트 엔티티`
* `1`: `플레이어 엔티티`
* `2`: `카메라 엔티티`

이 엔티티들은 런타임이 관리하는 알려진 첨부 컴포넌트 집합을 가지며, 즉 해당 상태는 씬에서 읽기 전용입니다. 이러한 컴포넌트의 초기 상태를 가져오는 것은 [씬 초기화](https://github.com/decentraland/docs/tree/main/contributor/runtime/execution/README.md#onStart).

{% hint style="info" %}
이 엔티티를 위한 추가 컴포넌트는 개발 중입니다. 그 [CRDT 동기화 메커니즘](https://github.com/decentraland/docs/tree/main/contributor/runtime/modules/engine_api/README.md#synchronization) 은 다른 모듈이 제공하는 기능 중 일부를 제공하도록 확장되고 있습니다.

예를 들어, 씬은 네트워크 및 CPU 사용량을 최적화하기 위해 익스플로러의 창 상태를 감지하거나, 플레이어, 통신 시스템 및 게임 카메라에 대한 더 풍부한 정보를 액세스할 수 있습니다.
{% endhint %}

**`루트 엔티티` (`0`)**

씬의 컨텍스트에 대한 일반 정보를 담고 있습니다.

* [`트랜스폼`](https://github.com/decentraland/docs/tree/main/contributor/runtime/components/README.md#Transform): 씬의 원점의 위치 정보로, 명시적 부모가 없는 다른 모든 트랜스폼은 이 원점을 기준으로 합니다.

그 `트랜스폼` 의 컴포넌트 `루트 엔티티` 다음 값으로 초기화됩니다:

```yml
스케일: [1, 1, 1] # XYZ
위치: [0, 0, 0] # XYZ
회전: [0, 0, 0, 1] # XYZW
```

**`플레이어 엔티티` (`1`)**

플레이어, 플레이어의 신원, 아바타 및 위치에 대한 데이터를 담고 있습니다.

* [`트랜스폼`](https://github.com/decentraland/docs/tree/main/contributor/runtime/components/README.md#Transform): 플레이어 아바타의 위치 정보입니다.

**`카메라 엔티티` (`2`)**

게임 카메라에 대한 정보를 담고 있습니다. 모든 컴포넌트는 렌더러가 관리합니다.

* [`트랜스폼`](https://github.com/decentraland/docs/tree/main/contributor/runtime/components/README.md#Transform): 카메라 자체의 위치 정보입니다.
* [`포인터 잠금`](https://github.com/decentraland/docs/tree/main/contributor/runtime/components/README.md#PointerLocked): 포인터가 카메라 방향을 따르는지, 아니면 독립적으로 움직이는지 여부입니다.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/contributor/contributor-ko/scene-runtime/basic-entities.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
